Package pygccxml :: Package declarations :: Module matchers :: Class namespace_matcher_t

# type namespace_matcher_t

source code

           object --+
                    |
       matcher_base_t --+
                        |
    declaration_matcher_t --+
                            |
                           namespace_matcher_t

Instance of this class will match namespaces by name.

Instance Methods

__init__(self, name=None) | source code

__call__(self, decl) | source code

Inherited from `declaration_matcher_t`: `__str__`, `check_name`, `is_full_name` Inherited from `matcher_base_t`: `__and__`, `__invert__`, `__or__`

Properties
Inherited from `declaration_matcher_t`: `decl_name_only`, `name`

Method Details

### __init__(self, name=None)
(Constructor)

source code

Parameters:
  - `decl_type` - declaration type to match by. For example enumeration_t.
  - `name` - declaration name, could be full name.
  - `header_dir` - absolute directory path
  - `header_file` - absolute file path
Overrides: matcher_base_t.__init__

### __call__(self, decl)
(Call operator)

source code

Overrides: matcher_base_t.__call__